> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Verification Requests

> Get a list of previously-submitted tollfree verification requests



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/messaging/toll-free-verification.yml get /messaging_tollfree/verification/requests
openapi: 3.1.0
info:
  title: Telnyx Toll-free Verification API
  version: 2.0.0
  description: API for Toll-free verification.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /messaging_tollfree/verification/requests:
    get:
      tags:
        - Verification Requests
      summary: List Verification Requests
      description: Get a list of previously-submitted tollfree verification requests
      operationId: ListVerificationRequests
      parameters:
        - required: true
          schema:
            title: Page
            minimum: 1
            type: integer
          name: page
          in: query
        - description: |2-

                    Request this many records per page

                    This value is automatically clamped if the provided value is too large.
                    
          required: true
          schema:
            title: Page Size
            minimum: 1
            type: integer
            description: |2-

                      Request this many records per page

                      This value is automatically clamped if the provided value is too large.
                      
          name: page_size
          in: query
        - required: false
          schema:
            title: Date Start
            type: string
            format: date-time
          name: date_start
          in: query
        - required: false
          schema:
            title: Date End
            type: string
            format: date-time
          name: date_end
          in: query
        - required: false
          schema:
            $ref: '#/components/schemas/TFVerificationStatus'
          name: status
          in: query
        - required: false
          schema:
            title: Phone Number
            type: string
          name: phone_number
          in: query
        - required: false
          schema:
            title: Business Name
            type: string
          name: business_name
          in: query
          description: Filter verification requests by business name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Paginated_VerificationRequestStatus_'
        4XX:
          $ref: '#/components/responses/toll-free-verification_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const verificationRequestStatus of
            client.messagingTollfree.verification.requests.list({
              page: 1,
              page_size: 1,
            })) {
              console.log(verificationRequestStatus.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.messaging_tollfree.verification.requests.list(
                page=1,
                page_size=1,
            )
            page = page.records[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.MessagingTollfree.Verification.Requests.List(context.TODO(), telnyx.MessagingTollfreeVerificationRequestListParams{\n\t\tPage:     1,\n\t\tPageSize: 1,\n\t})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.messagingtollfree.verification.requests.RequestListPage;

            import
            com.telnyx.sdk.models.messagingtollfree.verification.requests.RequestListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    RequestListParams params = RequestListParams.builder()
                        .page(1L)
                        .pageSize(1L)
                        .build();
                    RequestListPage page = client.messagingTollfree().verification().requests().list(params);
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            page = telnyx.messaging_tollfree.verification.requests.list(page: 1,
            page_size: 1)


            puts(page)
        - lang: CLI
          source: |-
            telnyx messaging-tollfree:verification:requests list \
              --api-key 'My API Key' \
              --page 1 \
              --page-size 1
components:
  schemas:
    TFVerificationStatus:
      title: VerificationStatus
      enum:
        - Verified
        - Rejected
        - Waiting For Vendor
        - Waiting For Customer
        - Waiting For Telnyx
        - In Progress
      type: string
      description: Tollfree verification status
    Paginated_VerificationRequestStatus_:
      title: Paginated[VerificationRequestStatus]
      type: object
      required:
        - records
        - total_records
      properties:
        records:
          title: Records
          type: array
          items:
            $ref: '#/components/schemas/VerificationRequestStatus'
          description: The records yielded by this request
          default: []
        total_records:
          title: Total Records
          type: integer
          description: The total amount of records for these query parameters
          default: 0
      description: A paginated response
    VerificationRequestStatus:
      title: VerificationRequestStatus
      required:
        - businessName
        - corporateWebsite
        - businessAddr1
        - businessCity
        - businessState
        - businessZip
        - businessContactFirstName
        - businessContactLastName
        - businessContactEmail
        - businessContactPhone
        - messageVolume
        - phoneNumbers
        - useCase
        - useCaseSummary
        - productionMessageContent
        - optInWorkflow
        - optInWorkflowImageURLs
        - additionalInformation
        - id
        - verificationStatus
      type: object
      properties:
        businessName:
          title: Businessname
          type: string
          example: Telnyx LLC
        corporateWebsite:
          title: Corporatewebsite
          type: string
          example: http://example.com
        businessAddr1:
          title: Businessaddr1
          type: string
          example: 600 Congress Avenue
        businessAddr2:
          title: Businessaddr2
          type: string
          example: 14th Floor
        businessCity:
          title: Businesscity
          type: string
          example: Austin
        businessState:
          title: Businessstate
          type: string
          example: Texas
        businessZip:
          title: Businesszip
          type: string
          example: '78701'
        businessContactFirstName:
          title: Businesscontactfirstname
          type: string
          example: John
        businessContactLastName:
          title: Businesscontactlastname
          type: string
          example: Doe
        businessContactEmail:
          title: Businesscontactemail
          type: string
          example: email@example.com
        businessContactPhone:
          title: Businesscontactphone
          type: string
          example: '+18889809750'
        messageVolume:
          allOf:
            - $ref: '#/components/schemas/Volume'
          description: >-
            One of the following exact values: 10; 100; 1,000; 10,000; 100,000;
            250,000; 500,000; 750,000; 1,000,000; 5,000,000; 10,000,000+
          example: 100,000
        phoneNumbers:
          title: Phonenumbers
          type: array
          items:
            $ref: '#/components/schemas/TFPhoneNumber'
          example:
            - phoneNumber: '+18773554398'
            - phoneNumber: '+18773554399'
        useCase:
          allOf:
            - $ref: '#/components/schemas/UseCaseCategories'
          example: 2FA
        useCaseSummary:
          title: Usecasesummary
          type: string
          example: >-
            This is a use case where Telnyx sends out 2FA codes to portal users
            to verify their identity in order to sign into the portal
        productionMessageContent:
          title: Productionmessagecontent
          type: string
          example: Your Telnyx OTP is XXXX
        optInWorkflow:
          title: Optinworkflow
          type: string
          example: >-
            User signs into the Telnyx portal, enters number and is prompted to
            select whether they want to use 2FA verification for security
            purposes. If they've opted in a confirmation message is sent out to
            the handset
        optInWorkflowImageURLs:
          title: Optinworkflowimageurls
          type: array
          items:
            $ref: '#/components/schemas/Url'
          example:
            - url: https://telnyx.com/sign-up
            - url: https://telnyx.com/company/data-privacy
        additionalInformation:
          title: Additionalinformation
          type: string
          example: This is for security purposes, blah blah blah
        isvReseller:
          title: Isvreseller
          type: string
          example: 'Yes'
        webhookUrl:
          title: Webhookurl
          type: string
          example: http://example-webhook.com
        businessRegistrationNumber:
          title: Businessregistrationnumber
          type: string
          example: 12-3456789
        businessRegistrationType:
          title: Businessregistrationtype
          type: string
          example: EIN
        businessRegistrationCountry:
          title: Businessregistrationcountry
          type: string
          example: US
        doingBusinessAs:
          title: Doingbusinessas
          type: string
          example: Acme Services
        entityType:
          allOf:
            - $ref: '#/components/schemas/toll-free-verification_EntityType'
          example: PRIVATE_PROFIT
        optInConfirmationResponse:
          title: Optinconfirmationresponse
          type: string
          example: You have successfully opted in to receive messages from Acme Corp
        helpMessageResponse:
          title: Helpmessageresponse
          type: string
          example: >-
            Reply HELP for assistance or STOP to unsubscribe. Contact:
            support@example.com
        privacyPolicyURL:
          title: Privacypolicyurl
          type: string
          example: https://example.com/privacy
        termsAndConditionURL:
          title: Termsandconditionurl
          type: string
          example: https://example.com/terms
        ageGatedContent:
          title: Agegatedcontent
          type: boolean
          example: false
        optInKeywords:
          title: Optinkeywords
          type: string
          example: START, YES, SUBSCRIBE
        campaignVerifyAuthorizationToken:
          title: Campaignverifyauthorizationtoken
          type:
            - string
            - 'null'
          maxLength: 500
          description: >-
            Campaign Verify Authorization Token required for Political use case
            submissions starting February 17, 2026
          example: cv_token_abc123xyz
        id:
          title: Id
          type: string
          format: uuid
          example: eaba9f52-164e-58e0-b002-4f668e18b7ed
        verificationStatus:
          allOf:
            - $ref: '#/components/schemas/TFVerificationStatus'
          example: Waiting For Customer
        reason:
          title: Reason
          type: string
          example: >-
            Unfortunately, we have to cancel this request as we do not support
            non tollfree US numbers.
        createdAt:
          title: Createdat
          type: string
          format: date-time
          example: '2024-01-23T18:10:02.574Z'
        updatedAt:
          title: Updatedat
          type: string
          format: date-time
          example: '2024-01-23T18:10:02.574Z'
      description: A verification request and its status, suitable for returning to users
    toll-free-verification_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/toll-free-verification_Error'
      type: object
    Volume:
      title: Volume
      enum:
        - '10'
        - '100'
        - 1,000
        - 10,000
        - 100,000
        - 250,000
        - 500,000
        - 750,000
        - 1,000,000
        - 5,000,000
        - 10,000,000+
      type: string
      description: Message Volume Enums
    TFPhoneNumber:
      title: PhoneNumber
      required:
        - phoneNumber
      type: object
      properties:
        phoneNumber:
          title: Phonenumber
          type: string
      description: A phone number
    UseCaseCategories:
      title: UseCaseCategories
      enum:
        - 2FA
        - App Notifications
        - Appointments
        - Auctions
        - Auto Repair Services
        - Bank Transfers
        - Billing
        - Booking Confirmations
        - Business Updates
        - COVID-19 Alerts
        - Career Training
        - Chatbot
        - Conversational / Alerts
        - Courier Services & Deliveries
        - Emergency Alerts
        - Events & Planning
        - Financial Services
        - Fraud Alerts
        - Fundraising
        - General Marketing
        - General School Updates
        - HR / Staffing
        - Healthcare Alerts
        - Housing Community Updates
        - Insurance Services
        - Job Dispatch
        - Legal Services
        - Mixed
        - Motivational Reminders
        - Notary Notifications
        - Order Notifications
        - Political
        - Public Works
        - Real Estate Services
        - Religious Services
        - Repair and Diagnostics Alerts
        - Rewards Program
        - Surveys
        - System Alerts
        - Voting Reminders
        - Waitlist Alerts
        - Webinar Reminders
        - Workshop Alerts
      type: string
      description: Tollfree usecase categories
    Url:
      title: Url
      required:
        - url
      type: object
      properties:
        url:
          title: Url
          maxLength: 2083
          minLength: 1
          type: string
          format: uri
    toll-free-verification_EntityType:
      title: EntityType
      type: string
      enum:
        - SOLE_PROPRIETOR
        - PRIVATE_PROFIT
        - PUBLIC_PROFIT
        - NON_PROFIT
        - GOVERNMENT
      description: Business entity classification
    toll-free-verification_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  responses:
    toll-free-verification_GenericErrorResponse:
      description: Generic error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/toll-free-verification_Errors'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````